server {
    listen 80 default;
    root /code/public;
    index index.html index.php;
    server_tokens off;
    client_max_body_size 128M;
    client_body_buffer_size 128k;
    charset utf-8;

    # Zero-day exploit defense
    # http://forum.nginx.org/read.php?2,88845,page=3
    if (!-e $request_filename) {
        rewrite ^.*$ /index.php last;
    }

    location = /favicon.ico { access_log off; log_not_found off; }
    location = /robots.txt  { access_log off; log_not_found off; }

    location ~ \.php$ {
        include fastcgi_params;
        fastcgi_split_path_info ^(.+\.php)(/.+)$;
        fastcgi_pass unix:/var/run/php-fpm.sock;
        fastcgi_index index.php;
        fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
        fastcgi_read_timeout 300;
    }
}
